KLA12415
Multiple vulnerabilities in Mozilla Firefox

Updated: 02/10/2022
Detect date
?
01/11/2022
Severity
?
High
Description

Multiple vulnerabilities were found in Mozilla Firefox. Malicious users can exploit these vulnerabilities to bypass security restrictions, execute arbitrary code, spoof user interface, gain privileges, cause denial of service, obtain sensitive information.

Below is a complete list of vulnerabilities:

  1. Security bypass vulnerability in iframe sandbox can be exploited via special crafted XSLT markup to bypass security restrictions.
  2. Security bypass vulnerability on Windows and MacOS to bypass security restrictions.
  3. Memory safety vulnerability can be exploited to execute arbitrary code.
  4. Security UI vulnerability in external protocol launch dialog can be exploited to spoof user interface.
  5. Security UI vulnerability in QR code scanning on Android can be exploited to spoof user interface.
  6. Security vulnerability in the “Copy as curl” feature in DevTools on Windows can be exploited to bypass security restrictions.
  7. Elevation of privilege vulnerability in a non-default installation on Windows can be exploited locally to gain privileges.
  8. Heap buffer overflow vulnerability in blendGaussianBlur can be exploited to cause denial of service.
  9. Race condition vulnerability in audio component can be exploited to cause denial of service.
  10. Use after free vulnerability in ChannelEventQueue::mOwner can be exploited to cause denial of service.
  11. Security UI vulnerability in fullscreen mode can be exploited to spoof user interface.
  12. Information disclosure vulnerability in securitypolicyviolation event can be exploited to obtain sensitive information.
  13. Security UI vulnerability in reportValidity on Windows can be exploited to spoof user interface.
  14. Denial of service vulnerability in pkcs7 sequence can be exploited to cause denial of service.
  15. Security UI vulnerability in external protocol launch dialog can be exploited to spoof user interface and bypass security restrictions.
  16. Out of bounds memory access vulnerability in edit mode can be exploited via special crafted text to cause denial of service.
  17. Denial of service vulnerability in object state can be exploited via script execution to cause denial of service.
Affected products

Mozilla Firefox earlier than 96

Solution

Update to the latest version
Download Firefox

Original advisories

MFSA2022-01

Impacts
?
ACE 
[?]

OSI 
[?]

DoS 
[?]

SB 
[?]

PE 
[?]

SUI 
[?]
Related products
Mozilla Firefox
Find out the statistics of the vulnerabilities spreading in your region